Bug 681674 - fence_rhevm REST-API URL needs to be updated to "/rhevm-api/".
Summary: fence_rhevm REST-API URL needs to be updated to "/rhevm-api/".
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fence-agents
Version: 6.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: Brandon Perkins
URL:
Whiteboard:
Depends On:
Blocks: 595383 681676 731161 731162
TreeView+ depends on / blocked
 
Reported: 2011-03-02 21:52 UTC by Brandon Perkins
Modified: 2011-08-16 19:37 UTC (History)
2 users (show)

Fixed In Version: fence-agents-3.0.12-21.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 681676 731161 (view as bug list)
Environment:
Last Closed: 2011-05-19 14:17:12 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch against RHEL60 branch. (859 bytes, patch)
2011-03-07 17:23 UTC, Brandon Perkins
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0745 normal SHIPPED_LIVE fence-agents bug fix and enhancement update 2011-05-19 09:37:09 UTC

Description Brandon Perkins 2011-03-02 21:52:10 UTC
Description of problem:
fence_rhevm REST-API URL needs to be updated to "/rhevm-api/".

Version-Release number of selected component (if applicable):
fence-agents-3.0.12-8.el6_0.2.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Run fence_rhevm -o status
  
Actual results:
HTTP Status 404 - /rhevm-api-powershell/
type Status report
message /rhevm-api-powershell/
description The requested resource (/rhevm-api-powershell/) is not available.
JBoss Web/2.1.10

Expected results:
Will execute whatever action is asked of the fence agent.

Additional info:
Change line 92 of /usr/sbin/fence_rhevm as such will fix the glitch:

    92          url += "//" + opt["-a"] + ":" + str(opt["-u"]) + "/rhevm-api/" + command

Comment 3 Brandon Perkins 2011-03-07 17:23:48 UTC
Created attachment 482737 [details]
Patch against RHEL60 branch.

Patch against RHEL60 branch.

Comment 15 errata-xmlrpc 2011-05-19 14:17:12 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0745.html


Note You need to log in before you can comment on or make changes to this bug.